#FROM jdk17为基础
FROM openjdk:17.0.2-oraclelinux8

MAINTAINER wuzhigang

RUN mkdir -p /case/server/logs \
    /case/server/temp \
    /case/skywalking/agent

WORKDIR /case/server

ENV SERVER_PORT=8080 LANG=C.UTF-8 LC_ALL=C.UTF-8

EXPOSE ${SERVER_PORT}

ADD ./target/ruoyi-admin.jar ./app.jar

ENTRYPOINT ["java", \
            "-Djava.security.egd=file:/dev/./urandom", \
            "-Dserver.port=${SERVER_PORT}", \
            "-jar", "app.jar"]
